Subject: Re: bug#65735: [PATCH] key-translate should use the 1st key of a key sequence

From: Robert Pluim <[email-masked]>
Date: Mon, 18 Sep 2023 11:49:02 +0200

tags 65735 fixed
close 65735 29.2
quit

>>>>> On Thu, 7 Sep 2023 07:01:44 -0700, Stefan Kangas <[email-masked]> said:

    Stefan> Eli Zaretskii <[email-masked]> writes:
    >>> In the interests of, uhm, eating our own dogfood, how about the
    >>> following as well for master (or should I let sleeping dogs lie 😺)
    >> 
    >> I'll let Stefan answer that, as, among the two of us, he is the
    >> enthusiast of modernizing ;-)

    Stefan> ;-)

    Stefan> I have no objections to the patch, so please go ahead.

    Stefan> One benefit of using our "new" API's (a.k.a. dogfooding) is that it
    Stefan> gives us a chance to test them in practice.  For example, it helped me
    Stefan> find some issues in keymap.el that we were able to rectify before 29.1.

Closing.
Committed as 93134bb9c2f

Iʼll push the change to master once emacs-29 has been merged there.

Robert
--